#!/bin/sh

##############################################################################
#  hod40mvs.sh - Shell script to install IBM Host On-Demand 4.0
#
#  Instructions for running this job:
#
#    CAUTION:
#
#      A. This job DELETES the Host On-Demand 4.0 directories listed below:
#
#        /usr/lpp/HOD/hostondemand/lib
#        /usr/lpp/HOD/hostondemand/HOD
#
#      B. The following directory will remain:
#
#        /usr/lpp/HOD/hostondemand/private
#
#      C. If you have made changes to any of the Host On-Demand 4.0 files, or
#         if you have added files, in any directory except /private, you
#         should save those changes
#
#      D. If the "eval" parameter is supplied to this script the tar file
#         input will be assumed to be the tar files for the non-SMP/E OS/390
#         evaluation copy of the software.
#
#      E. If Host On-Demand Version 4 is intended to replace a previous version
#         of Host On-Demand ensure that the path name specified by the variable
#         HOD40_INSTALL_DIR and that the subdirectory name "hostondemand" represent
#         the values selected for installation of the previous version.
#
#    1.  Run this script file.
#        (eg. /usr/lpp/HOD/hod40mvs.sh)
#
##############################################################################

##############################################################################
#
# If you have installed Host On-Demand or OnDemand Server in a directory
# other than the defaults (/usr/lpp/HOD and /usr/lpp/OnDemand.base),
# change the following paths:
#
##############################################################################

export HOD40_INSTALL_DIR=/usr/lpp/HOD
export ODS_INSTALL_DIR=/usr/lpp/OnDemand.base

cd $HOD40_INSTALL_DIR

##############################################################################
#
# Removing previous directories (except /private)...
#
##############################################################################

rm -rf $HOD40_INSTALL_DIR/hostondemand/lib
rm -rf $HOD40_INSTALL_DIR/hostondemand/HOD

##############################################################################
#
# Expanding the new Host On-Demand 4.0 archive...
#
##############################################################################

mkdir hostondemand 2>/dev/null
cd hostondemand
if test $# -eq 0
  then
    pax -rf ../hod40mvs.tar.Z
elif test "$1" = "eval"
  then
    mkdir HOD 2>/dev/null
    cd HOD
    pax -rf ../../hod40www.tar.Z
    cd ..
    pax -rf ../hod40srv.tar.Z
    pax -rf ../hod40mvscd.tar.Z
    ##########################################################################
    # Remove the .html files as they are not needed (defects 51658 & 51762)
    ##########################################################################
    echo "#!/bin/sh" > ./deletehodhtmls.sh
    echo "# Remove all instances of .html files" >> ./deletehodhtmls.sh
    # List all instances of html and write them to a tempfile
    find HOD -name *.html -print > ./tempfile
    # Add "rm" to the beginning of each line in tempfile, append it to deletehodhtmls.sh
    sed 's/^/rm /' < ./tempfile >> ./deletehodhtmls.sh
    # Make the new script executable and execute it
    chmod 700 deletehodhtmls.sh
    ./deletehodhtmls.sh
    # Clean up the temp files
    rm ./tempfile
    rm ./deletehodhtmls.sh
else exit
fi
cd ..

##############################################################################
#
# Publishing the Host On-Demand publish directory...
#
##############################################################################

cd hostondemand/lib

cp samples/CommandFiles/HODLink-UNIX .
chmod +x HODLink-UNIX

./HODLink-UNIX $HOD40_INSTALL_DIR/hostondemand/HOD $ODS_INSTALL_DIR/onDemand $HOD40_INSTALL_DIR/hostondemand/lib > HODLink-UNIX-errors

cd $HOD40_INSTALL_DIR

##############################################################################
#
# Making the Host On-Demand Service Manager executable...
#
# If you have installed Host On-Demand in a directory other than the
# default (/usr/lpp/HOD), edit ServiceManager.sh and change the
# noted paths.
#
##############################################################################

chmod 755 $HOD40_INSTALL_DIR/hostondemand/lib/ServiceManager.sh
